#zkmFile module, zkm package

from zkm.zkmTrace import writeTrace, writeError, showError

from tempfile import mktemp
import tempfile
import string
import os

def checkHtmlFilesFolder(htmlFilesFolder):
	if not os.path.exists(htmlFilesFolder):
		try:
			os.makedirs(htmlFilesFolder)
		except:
			showError("Error creating HTML files folder.")
			raise
	return

def readFileIntoString(filePathName):
	f = open(filePathName)
	lines = f.readlines()
	f.close()

	s = ""
	for line in lines:
		s = s + line
	return s

def createHtmlFileName(htmlFilesFolder, userName):
	tempfile.tempdir = htmlFilesFolder
	filePathName = mktemp()
	filePathName = string.replace(filePathName, "~", userName)
	filePathName = filePathName + ".html"
	return filePathName

def createTempFileName(tempFolder, userName):
	tempfile.tempdir = tempFolder
	filePathName = mktemp()
	filePathName = string.replace(filePathName, "~", userName)
	filePathName = filePathName + ".html"
	return filePathName

def writeStringToFile(filePathName, s):
	f = open(filePathName, "w")
	f.write(s)
	f.close()
	return
