#zkmAddUser external method

from zkm.zkmTrace import writeTracebackAsString
from zkm.zkmHtml import formatError, formatMessage, RETRY_OR_SEE_LOG

import string

def zkmAddUser(self, REQUEST):
	try:
		acl_users_folder= self.aq_parent["acl_users"]

		name = REQUEST["name"]
		name = string.strip(name)

		password = REQUEST["password"]
		password = string.strip(password)

		confirm = REQUEST["confirm"]
		confirm = string.strip(confirm)

		domains = ""
		roles = ["Authorized"]

		if (not name) or (not password) or (not confirm):
			return formatError("Name, password, and confirm fields are required.")

		if confirm != password:
			return formatError("Password and confirmation password did not match. "
							   + "User could not be added.")

		result = acl_users_folder._addUser(name,password,confirm,roles,domains,REQUEST)
	except:
		writeTracebackAsString(20)
		return formatError("Error adding user. " + RETRY_OR_SEE_LOG)

	return formatMessage("User added successfully.")